module MagicInquiries
  module Includes
    extend ActiveSupport::Concern

    included do
    end

    module ClassMethods
      def magic_includes(options = [])
        block = ->(x) { x.name unless x.macro.equal?(:belongs_to) }
        options = reflect_on_all_associations.map(&block).compact if options.try(:empty?)

        default_scope { includes(options) }
      end
    end
  end
end

ActiveRecord::Base.send :include, MagicInquiries::Includes
